#!/usr/bin/env python3
# coding=UTF-8
#
# configuration settings for albumgen
#

import os

from os.path  import basename, join, splitext

##############################################################################
#
# global variables
#
##############################################################################

# top level directory
top_dir     = join( '/home', 'rok', 'public_html', 'fotos' )
#top_dir     = join( os.environ['HOME'], 'public_html', 'fotos' )

# albumgen bin path
bin_dir     = join( join( top_dir, 'albumgen' ), 'bin' )

# style sheet path
style_dir   = join( join( top_dir, 'albumgen' ), 'style' )

# name of photo/video database file
album_xml   = 'PHOTOS.xml'

# sub path for original image
copy_dir    = 'orig'

# type of output files, 'xml' or 'html'
out_type    = 'html'

# names of months and weekdays
monthnames  = [ u'',
                u'Januar',    u'Februar', u'März',     u'April',
                u'Mai',       u'Juni',    u'Juli',     u'August', 
                u'September', u'Oktober', u'November', u'Dezember' ]

weekdayname = [ u'Mo', u'Di', u'Mi', u'Do', u'Fr', u'Sa', u'So' ]

# if true, create backup files
backup      = True

# suffix of backup files (appended without dot!)
backup_ext  = '~'

# verbosity level
verbosity   = 2

##############################################################################
#
# global functions
#
##############################################################################

# return lores filename of given photo
def lores ( basedir, img ):
    orig  = img.file
    name  = splitext( basename( orig ) )[0]
    if img.type == 'photo':
        lores = join( basedir, name + '.jpg' )
    elif img.type == 'video':
        lores = join( basedir, 'web_' + name + '.ogv' )

    return lores

# return lores filename of given photo
def thumb ( basedir, img ):
    orig  = img.file
    name  = splitext( basename( orig ) )[0]
    if img.type == 'photo':
        thumb = join( basedir, 'thumb_' + name + '.jpg' )
    elif img.type == 'video':
        thumb = join( basedir, 'thumb_' + name + '.gif' )

    return thumb
