#!/usr/bin/env python
# coding=UTF-8

import  sys
import  re

import  config

# regular expressions for iso dates
date1_re = re.compile( '([0-9]{4})-([0-9]{2})-([0-9]{2})' )
date2_re = re.compile( '([0-9]{4})-([0-9]{2})' )

#
# convert date string into ( year, month, day )
# if no day is given, day == -1
#
def date_to_ymd ( datestr ) :
    m = date1_re.search( datestr )
    if m != None :
        year  = int(m.group(1))
        month = int(m.group(2))
        day   = int(m.group(3))
        return ( year, month, day )

    m = date2_re.search( datestr )
    if m != None :
        year  = int(m.group(1))
        month = int(m.group(2))
        return ( year, month, -1 )

#
# convert iso date to string
#
def date_str ( date ):
    ( year, month, day ) = date_to_ymd( date )

    if day == -1 : 
        return config.monthnames[ month ] + u' ' + str( year )
    else :
        return str( day ) + u'. ' + config.monthnames[ month ] + u' ' + str( year )

    print( 'unsupported date : ' + date )
    sys.exit( 1 )

